[1932] in Moira
print.sh
daemon@ATHENA.MIT.EDU (Garry Zacheiss)
Fri Feb 22 04:45:32 2002
Message-Id: <200202220945.EAA28943@riff-raff.mit.edu>
To: moiradev@MIT.EDU
Date: Fri, 22 Feb 2002 04:45:25 -0500
From: Garry Zacheiss <zacheiss@MIT.EDU>
Self-explanatory.
Index: print.sh
===================================================================
RCS file: /afs/athena.mit.edu/astaff/project/moiradev/repository/moira/gen/print.sh,v
retrieving revision 1.4
diff -u -r1.4 print.sh
--- print.sh 2000/05/08 18:30:31 1.4
+++ print.sh 2002/02/22 09:43:24
@@ -31,7 +31,13 @@
# Build full printcap and spools
cat $PCLOCAL $PCGEN > $PRINTCAP
/usr/athena/etc/checkpc -f
+if [ $? != 0 ]; then
+ exit $MR_MKCRED
+fi
/usr/athena/etc/lpc reread
+if [ $? != 0 ]; then
+ exit $MR_MKCRED
+fi
# cleanup
test -f $TARFILE && rm -f $TARFILE